org.hibernate.search.elasticsearch.schema.impl

## Class Elasticsearch50SchemaValidator

- java.lang.Object
- - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaValidator
  - - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch50SchemaValidator

- All Implemented Interfaces:
    ElasticsearchSchemaValidator
  Direct Known Subclasses:
    Elasticsearch52SchemaValidator

      public class Elasticsearch50SchemaValidator
      extends Elasticsearch2SchemaValidator

  An `ElasticsearchSchemaValidator` implementation for Elasticsearch 5.0/5.1.
  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch50SchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doValidateJsonPrimitive(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector, DataType type, String attributeName, com.google.gson.JsonPrimitive expectedValue, com.google.gson.JsonPrimitive actualValue)`
    `protected void` | `validateIndexOptions(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector, PropertyMapping expectedMapping, PropertyMapping actualMapping)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaValidator

      `formatContextElement, isSettingsValid, validate, validateAll, validateAnalysisSettings, validateAnalyzerOptions, validateEqualWithDefault, validateEqualWithDefault, validateEqualWithDefault, validateFormatWithDefault, validateJsonPrimitive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch50SchemaValidator

          public Elasticsearch50SchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)

  - ### Method Detail

    - #### doValidateJsonPrimitive

          protected void doValidateJsonPrimitive(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector,
                                                 DataType type,
                                                 String attributeName,
                                                 com.google.gson.JsonPrimitive expectedValue,
                                                 com.google.gson.JsonPrimitive actualValue)

      Overrides:
        `doValidateJsonPrimitive` in class `Elasticsearch2SchemaValidator`

    - #### validateIndexOptions

          protected void validateIndexOptions(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector,
                                              PropertyMapping expectedMapping,
                                              PropertyMapping actualMapping)

      Overrides:
        `validateIndexOptions` in class `Elasticsearch2SchemaValidator`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved